package com.lightinit.hsdataplatformresdir.model.admin;

import com.lightinit.hsdataplatformresdir.model.PagingBaseModel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class ResourceMicroappRegisterSearchModel  extends PagingBaseModel {
    private Long id;
    private String provider;
    private String resourceName;
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date registerDateFrom;
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date registerDateTo;
    private String resourceState;
    private Long OrgId;

    public Long getOrgId() {
        return OrgId;
    }

    public void setOrgId(Long orgId) {
        OrgId = orgId;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public Date getRegisterDateFrom() {
        return registerDateFrom;
    }

    public void setRegisterDateFrom(Date registerDateFrom) {
        this.registerDateFrom = registerDateFrom;
    }

    public Date getRegisterDateTo() {
        return registerDateTo;
    }

    public void setRegisterDateTo(Date registerDateTo) {
        this.registerDateTo = registerDateTo;
    }

    public String getResourceState() {
        return resourceState;
    }

    public void setResourceState(String resourceState) {
        this.resourceState = resourceState;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getProvider() {
        return provider;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }
}
